import { Observable } from 'rxjs';
import { getZoneUnPatchedApi } from '../../../core';
const ɵ0 = subscriber => {
    let i = 0;
    const id = getZoneUnPatchedApi('requestAnimationFrame')(() => {
        subscriber.next(++i);
    });
    return () => {
        getZoneUnPatchedApi('cancelAnimationFrame')(id);
    };
};
const animationFrameTick = new Observable(ɵ0);
export const unpatchedAnimationFrameScheduler = {
    now() {
        return 0;
    },
    schedule(work, options, state) {
        return animationFrameTick.subscribe(() => work(state));
    }
};
export { ɵ0 };
//# sourceMappingURL=animationFrameScheduler.js.map